from Field import Field
import Utils

class BasicField(Field):
    """Very basic field for simple input.
    """

    meta_type = "BasicField"

    def __init__(self, id, title, 
		 width=15):
	Field.__init__(self, id, title)
	# set properties
	self.props.width = width
	
    def sqltype(self):
	return "varchar(%s)" % self.props.width
    
    def render(self, value):
	"""Render basic field.
	"""
	argdict = {
	    'type' : 'text',
	    'name' : self.fieldname,
	    'value' : value,
	    'size' : self.props.width,
	    'maxlength' : self.props.width
	    }
	
	return Utils.html_tag('input', argdict)
    
    def process(self, REQUEST):
	"""Process input.
	"""
	# no processing
	pass



