from Field import Field
import Utils

class CheckboxField(Field):
    """Check box field.
    """
    meta_type = "CheckboxField"

    def __init__(self, id, title,
		 default=0):
	"""Initialize.
	"""
	Field.__init__(self, id, title)
	# set properties
	props = self.props
	props.default = default
	self.props = props
    
    def sqltype(self):
	return "boolean"

    def render(self, value):
	"""Render this field.
	"""
	props = self.props
	argdict = {
	    'type' : 'checkbox',
	    'name' : self.fieldname,
	    }

	if value:
	    argdict['checked'] = None

	return Utils.html_tag('input', argdict)
    
    def process(self, REQUEST):
	"""Process what's entered.
	"""
	props = self.props
	if REQUEST.has_key(self.fieldname):
	    input = 1
	else:
	    input = 0
	    
	REQUEST.set(self.fieldname, input)
