from StringBaseField import StringBaseField
from Field import ValidationError

class IntegerField(StringBaseField):
    """An integer field.
    """
    
    meta_type = "IntegerField"

    def __init__(self, id, title,
		 visual_length=15, 
		 visual_max_length=0, 
		 required=0, 
		 default=""):
	"""Initialize
	"""
	StringBaseField.__init__(self, id, title,
				 visual_length, visual_max_length,
				 required, default)
	
	self._addMessage("not_integer",
			 "Input is not an integer")

    def sqltype(self):
	"""Integer
	"""
	return "integer"

    def process(self, REQUEST):
	"""Process input.	
	"""
	StringBaseField.process(self, REQUEST)
	
	props = self.props
	input = REQUEST[self.fieldname]
	
	# extra required check, unfortunately necessary..
	if not props.required and input == "":
	    return

	try:
	    input = int(input)
	except ValueError:
	    raise ValidationError, "not_integer"

	# set processed input
	REQUEST.set(self.fieldname, input)

