from cStringIO import StringIO
from Field import Field, ValidationError
from TextareaField import TextareaField
import string
import Utils

class ListDataTextareaField(TextareaField):
    """Field especially for list data entry. Only used in the ZFormulator
    management interface, not addable by hand.
    """

    meta_type = "ListDataTextareaField"

    def __init__(self, id, title,
		 cols=60, 
		 rows=5,
		 required=1,
		 default=""):
	TextareaField.__init__(self, id, title, cols, rows, required,
			       default)
    
    def render(self, value):
	"""Render this field.
	"""
	# preprocess value into string
	result = StringIO()
	for title, contents in value:
	    if title is None and contents is None:
		continue
	    if title is None:
		result.write(contents)
		result.write("\n")
	    elif contents is None:
		result.write(title)
		result.write("\n")
	    else:
		result.write("%s | %s\n" % (title, contents))
	# now pass it on to textarea field
	return TextareaField.render(self, result.getvalue())

    def process(self, REQUEST):
	"""Process input.
	"""
	TextareaField.process(self, REQUEST)
	# no extra required check necessary; this field always required
	
	input = REQUEST[self.fieldname]
	
	lines = string.split(input, "\n")
	data = []
	for line in lines:
	    i = string.find(line, "|")
	    if i != -1:
		title = string.strip(line[:i])
		contents = string.strip(line[i + 1:])
	    else:
		title = None
		contents = string.strip(line)
		
	    data.append((title, contents))

	# set data in REQUEST
	REQUEST.set(self.fieldname, data)

