from FieldSheet import FieldSheet
from CheckboxField import CheckboxField
from StringField import StringField
from ListDataTextareaField import ListDataTextareaField

class RadioFieldSheet(FieldSheet):
    def __init__(self):
	FieldSheet.__init__(self)

	field = ListDataTextareaField("data", "Radio contents")
	self.addField(field)

	field = CheckboxField("required",
			      "Input is required",
			      default=0)
	self.addField(field)

	field = StringField("default",
			    "Default selection",
			    visual_length=15, 
			    visual_max_length=0, 
			    required=0, 
			    default="", 
			    max_length=0, 
			    truncate=0)
	field._setMessage('required_not_found',
			  "This field is required.")
	field._setMessage('too_long',
			  "Too much data was entered.")
	self.addField(field)


sheet = RadioFieldSheet()
