from IntegerField import IntegerField
from Field import ValidationError

class RangedIntegerField(IntegerField):
    """A ranged integer field.
    """
    
    meta_type = "RangedIntegerField"

    def __init__(self, id, title,
		 visual_length=15, 
		 visual_max_length=0, 
		 required=0, 
		 default="",
		 min=0, 
		 max=9):
	"""Initialize
	"""
	IntegerField.__init__(self, id, title,
			      visual_length, visual_max_length,
			      required, default)
	
	props = self.props
	props.min = min
	props.max = max
	self.props = props
 
	self._addMessage("out_of_range",
			 "Input is out of range")

    def process(self, REQUEST):
	"""Process input.	
	"""
	IntegerField.process(self, REQUEST)
	
	props = self.props
	input = REQUEST[self.fieldname]

	# extra required check, unfortunately necessary..
	if not props.required and input == "":
	    return

	if input < self.props.min or input > self.props.max:
	    raise ValidationError, "out_of_range"



