from FieldSheet import FieldSheet
from IntegerField import IntegerField
from StringField import StringField
from CheckboxField import CheckboxField

class StringBaseFieldSheet(FieldSheet):
    def __init__(self):
	FieldSheet.__init__(self)
	field = IntegerField("visual_length",
			     "Visual length",
			     visual_length=15, 
			     visual_max_length=15, 
			     required=1, 
			     default=15)
	field._setMessage('required_not_found',
			  "This field is required.")
	field._setMessage('not_integer',
			  "This field expects an integer.")
	self.addField(field)

	field = IntegerField("visual_max_length",
			     "Maximum input length "\
			     "(0 if no maximum)",
			     visual_length=15, 
			     visual_max_length=15, 
			     required=1, 
			     default=15)
	field._setMessage('required_not_found',
			  "This field is required.")
	field._setMessage('not_integer',
			  "This field expects an integer.")
	self.addField(field)

	field = CheckboxField("required",
			      "Input is required",
			      default=0)
	self.addField(field)

	field = StringField("default",
			    "Default text",
			    visual_length=15, 
			    visual_max_length=0, 
			    required=0, 
			    default="", 
			    max_length=0, 
			    truncate=0)
	field._setMessage('required_not_found',
			  "This field is required.")
	field._setMessage('too_long',
			  "Too much data was entered.")	
	self.addField(field)

