from StringBaseField import StringBaseField
from Field import ValidationError

class StringField(StringBaseField):
    """A simple string field.
    """
    
    meta_type = "StringField"

    def __init__(self, id, title,
		 visual_length=15,
		 visual_max_length=0, 
		 required=0, 
		 default="",
		 max_length=0, 
		 truncate=0):
	"""Initialize
	"""
	StringBaseField.__init__(self, id, title,
				 visual_length, visual_max_length,
				 required, default)
	
	props = self.props
	props.max_length = max_length
	props.truncate = truncate
	self.props = props
    
	self._addMessage("too_long",
			 "Too much input was given")

    def sqltype(self):
	"""String type.
	"""
	if self.props.max_length == 0:
	    return "text"
	else:
	    return "varchar(%s)" % self.props.max_length

    def process(self, REQUEST):
	"""Process input.	
	"""
	StringBaseField.process(self, REQUEST)
	
	props = self.props
	input = REQUEST[self.fieldname]
		
	# truncate if necessary
	if props.truncate:
	    input = input[:props.max_length]

	# if too much input, give error
	if props.max_length > 0 and len(input) > props.max_length:
	    raise ValidationError, "too_long"
	
	# set processed input
	REQUEST.set(self.fieldname, input)
