from Field import Field, ValidationError
import string
import Utils

class TextareaField(Field):
    """Field that uses textarea
    """

    meta_type = "TextareaField"

    def __init__(self, id, title,
		 cols=60, 
		 rows=5, 
		 required=0, 
		 default=""):
	"""Initialize.
	id - id of field
	title - description of field
	"""
	Field.__init__(self, id, title)
	# set properties
	props = self.props
	props.cols = cols
	props.rows = rows
	props.required = required
	props.default = default
	self.props = props
	
	self._addMessage('required_not_found',
			 'Input required but no input given')

    def sqltype(self):
	return "text"

    def render(self, value):
	"""Render this field.
	"""
	props = self.props
	argdict = {
	    'name' : self.fieldname,
	    'cols' : props.cols,
	    'rows' : props.rows,
	    }	
	return Utils.html_tag('textarea', argdict, value)

    def process(self, REQUEST):
	"""Process what's entered.
	"""
	props = self.props
	input = REQUEST[self.fieldname]
	
	# check if data was entered while required
	input = string.strip(input)
	if props.required and input == "":
	    raise ValidationError, "required_not_found"
	REQUEST.set(self.fieldname, input)
