from FieldSheet import FieldSheet
from IntegerField import IntegerField
from CheckboxField import CheckboxField
from TextareaField import TextareaField

class TextareaFieldSheet(FieldSheet):
    def __init__(self):
	FieldSheet.__init__(self)
	field = IntegerField("cols",
			     "Columns",
			     visual_length=15, 
			     visual_max_length=15, 
			     required=1, 
			     default=60)
	field._setMessage('required_not_found',
			  "This field is required.")
	field._setMessage('not_integer',
			  "This field expects an integer.")	
	self.addField(field)

	field = IntegerField("rows",
			     "Rows",
			     visual_length=15, 
			     visual_max_length=15, 
			     required=1, 
			     default=5)
	field._setMessage('required_not_found',
			  "This field is required.")
	field._setMessage('not_integer',
			  "This field expects an integer.")
	self.addField(field)

	field = CheckboxField("required",
			      "Input is required",
			      default=0) 
	self.addField(field)

	field = TextareaField("default",
			      "Default text",
			      cols=60, 
			      rows=5, 
			      required=0, 
			      default="")
	field._setMessage('required_not_found',
			  "This field is required.")
	self.addField(field)

sheet = TextareaFieldSheet()
